<%@ LANGUAGE = VBScript %>
<%
' $Id: quickreference.vbs.asp,v 1.6 2001/04/05 18:55:46 tm Exp $
'
' PDFlib client: mini imposition demo for ActiveX with Active Server Pages and VBScript
' Requires the PDFlib ActiveX component
'
	Option Explicit

	Dim manual, page
	Dim oPDF
	Dim InFileMapped
	Dim width, height
	Dim font, row, col, maxrow, maxcol
	Dim i, startpage, endpage, pageno
	Dim buf

	maxrow= 2
	maxcol= 2

	width = 500
	height = 770

	startpage = 108
	endpage = 111

	Set oPDF = Server.CreateObject("PDFlib_com.PDF")

	' Open new PDF file
	oPDF.open_file ""

	oPDF.set_info "Creator", "quickreference.vbs"
	oPDF.set_info "Author", "Thomas Merz"
	oPDF.set_info "Title", "PDFlib personalization demo (Active X/VBS)"

	InFileMapped = Server.MapPath("PDFlib-manual-activex.pdf")

	manual = oPDF.open_pdi(InFileMapped, "", 0)
	if (manual = -1) then
		Response.write "Couldn't open input file!"
		Response.end
	end if

	row = 0
	col = 0

	For pageno = startpage To endpage Step 1
		if (row = 0 and col = 0) then
		oPDF.begin_page width, height
		font = oPDF.findfont("Helvetica-Bold", "winansi", 0)
		oPDF.setfont font, 18
		oPDF.set_text_pos 25, height-24
		oPDF.show "PDFlib 4.0 Quick Reference"
		end if

		page = oPDF.open_pdi_page(manual, pageno, "")
		if (page = -1) then
		    Response.write "Couldn't open page in input file!"
		    Response.end
		end if

		oPDF.place_pdi_page manual, (width/maxcol)*col, height - (row + 1) * height/maxrow, 1/maxrow, 1/maxrow
		oPDF.close_pdi_page page

		col = col + 1
		if (col = maxcol) then
			col = 0
			row = row + 1
		end if

		if (row = maxrow) then
			row = 0
			oPDF.end_page
		end if
	next

	' finish the last partial page
	if (row <> 0 or col <> 0) then
		oPDF.end_page
	end if

	oPDF.close
	oPDF.close_pdi manual

	buf = oPDF.get_buffer()

	Response.Expires = 0
	Response.Buffer = true
	Response.ContentType = "application/pdf"
	Response.Addheader "Content-Disposition", "inline; filename=" & "quickreference.vbs.asp.pdf"
	Response.Addheader "Content-Length", LenB(buf)
	Response.BinaryWrite(buf)
	Response.End()

	Set oPDF = Nothing
%>
