<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<!--- PDFlib client: image example for ColdFusion
      requires the ActiveX component --->

<html>
<head>
	<title>PDFlib ColdFusion sample</title>
</head>

<body>

<CFOBJECT type="COM" name="oPDF" class="PDFlib_com.PDF" action="CREATE">

<CFSET tmp_file=GetTempFile("C:\\tmp\\", "image.pdf")>
<CFSET res=oPDF.open_file(tmp_file)>
<CFIF res is -1>
	Couldn't open PDF file!
	<CFABORT/>
</CFIF>

<CFSET oPDF.set_info("Creator", "image.cfm")>
<CFSET oPDF.set_info("Author", "PDFlib GmbH")>
<CFSET oPDF.set_info("Title", "image sample (ActiveX/ColdFusion)")>

<CFSET imageFile="#GetDirectoryFromPath(GetTemplatePath())#../images/nesrin.jpg" >

<CFSET lImage=oPDF.open_image_file("jpeg", imageFile, "", 0)>

<CFIF lImage is -1>
	Couldn't open image file!
	<CFABORT/>
</CFIF>

<!--- We generate a page with the image's dimensions --->
<CFSET lWidth=oPDF.get_value("imagewidth", lImage)>
<CFSET lHeight = oPDF.get_value("imageheight", lImage)>

<!--- start a new page --->
<CFSET oPDF.begin_page(lWidth, lHeight)>

<!--- Place the image in the lower left corner --->
<CFSET oPDF.place_image(lImage, 0, 0, 1)>
<CFSET oPDF.close_image(lImage)>

<CFSET oPDF.end_page()>
<CFSET oPDF.close()>

<CFCONTENT TYPE="application/pdf" FILE="#tmp_file#" DELETEFILE="yes">

</body>
</html>
