<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<!--- PDFlib client: hello example for ColdFusion
      requires the ActiveX component --->

<html>
<head>
	<title>PDFlib ColdFusion sample</title>
</head>

<body>

<CFOBJECT type="COM" name="oPDF" class="PDFlib_com.PDF" action="CREATE">

<CFSET col1=70>
<CFSET col2=335>

<CFSET tmp_file=GetTempFile("C:\\tmp\\", "personalize.pdf")>

<!--- Open new PDF file --->
<CFSET res=oPDF.open_file(tmp_file)>
<CFIF res is -1>
	Couldn't open PDF file!
	<CFABORT/>
</CFIF>

<CFSET oPDF.set_info("Creator", "personalize.cfm")>
<CFSET oPDF.set_info("Author", "Rainer Schaaf")>
<CFSET oPDF.set_info("Title", "Personalize example (ActiveX/ColdFusion)")>

<CFSET InFile="#GetDirectoryFromPath(GetTemplatePath())#PDFlib-purchase-order.pdf">
<CFSET form = oPDF.open_pdi(InFile, "", 0)>
<CFIF form is -1>
	Couldn't open input file!
	<CFABORT/>
</CFIF>

<CFSET page = oPDF.open_pdi_page(form, 1, "")>
<CFIF page is -1>
	Couldn't open page 1 in input file!
	<CFABORT/>
</CFIF>

<CFSET font = oPDF.findfont("Helvetica-Bold", "winansi", 0)>

<!--- get the dimensions of the imported form --->
<CFSET lWidth = oPDF.get_pdi_value("width", form, page, 0)>
<CFSET lHeight = oPDF.get_pdi_value("height", form, page, 0)>

<!--- start a new page --->
<CFSET oPDF.begin_page(lWidth, lHeight)>

<CFSET oPDF.place_pdi_page(page, 0, 0, 1, 1)>
<CFSET oPDF.close_pdi_page(page)>

<CFSET oPDF.setfont(font, 18)>
<CFSET oPDF.set_value("leading", 24)>
<CFSET oPDF.set_text_pos(col1, 486)>

<CFSET oPDF.show("Doublecheck, Inc.")>
<CFSET oPDF.continue_text("Petra Porst")>
<CFSET oPDF.continue_text("500, Market St.")>
<CFSET oPDF.continue_text("94110 San Francisco, CA")>
<CFSET oPDF.continue_text("")>
<CFSET oPDF.continue_text("USA")>
<CFSET oPDF.continue_text("+1/950/123-4567")>
<CFSET oPDF.continue_text("+1/950/123-4568")>
<CFSET oPDF.continue_text("")>
<CFSET oPDF.continue_text("petra@doublecheck.com")>

<CFSET oPDF.set_text_pos(col2, 152)>
<CFSET oPDF.continue_text(#DateFormat(Now(), "mmm d, yyyy")#)>

<CFSET oPDF.end_page()>
<CFSET oPDF.close()>
<CFSET oPDF.close_pdi(form)>

<CFCONTENT TYPE="application/pdf" FILE="#tmp_file#" DELETEFILE="yes">

</body>
</html>
