<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<!--- PDFlib client: hello example for ColdFusion
      requires the ActiveX component --->

<html>
<head>
	<title>PDFlib ColdFusion sample</title>
</head>

<body>
<CFSET maxrow=2>
<CFSET maxcol=2>

<CFSET width=500>
<CFSET height=770>

<CFSET startpage=108>
<CFSET endpage=111>

<CFOBJECT type="COM" name="oPDF" class="PDFlib_com.PDF" action="CREATE">

<CFSET tmp_file=GetTempFile("C:\\tmp\\", "quickref.pdf")>

<!--- Open new PDF file --->
<CFSET res=oPDF.open_file(tmp_file)>
<CFIF res is -1>
	Couldn't open PDF file!
	<CFABORT/>
</CFIF>

<CFSET oPDF.set_info("Creator", "quickreference.cfm")>
<CFSET oPDF.set_info("Author", "Rainer Schaaf")>
<CFSET oPDF.set_info("Title", "Hello, personalization demo (ActiveX/ColdFusion)")>

<CFSET InFile="#GetDirectoryFromPath(GetTemplatePath())#PDFlib-manual-activex.pdf">
<CFSET manual = oPDF.open_pdi(InFile, "", 0)>
<CFIF manual IS -1>
    Couldn't open input file!
    <CFABORT/>
</CFIF>

<CFSET row = 0>
<CFSET col = 0>

<CFLOOP INDEX=pageno FROM="#startpage#" TO="#endpage#" STEP=1>
    <CFIF row IS 0 AND col IS 0>
	<CFSET oPDF.begin_page(width, height)>
	<CFSET font=oPDF.findfont("Helvetica-Bold", "winansi", 0)>
	<CFSET oPDF.setfont(font, 18)>
	<CFSET oPDF.set_text_pos(25, height-24)>
	<CFSET oPDF.show("PDFlib 4.0 Quick Reference")>
    </CFIF>

    <CFSET page = oPDF.open_pdi_page(manual, pageno, "")>
    <CFIF page IS -1>
	Couldn't open page in input file!
	<CFABORT/>
    </CFIF>

    <CFSET oPDF.place_pdi_page(manual, (width/maxcol)*col, height - (row + 1) * height/maxrow, 1/maxrow, 1/maxrow)>
    <CFSET oPDF.close_pdi_page(page)>

    <CFSET col = col + 1>
    <CFIF col IS maxcol>
	    <CFSET col = 0>
	    <CFSET row = row + 1>
    </CFIF>

    <CFIF row IS maxrow>
	    <CFSET row = 0>
	    <CFSET oPDF.end_page()>
    </CFIF>
</CFLOOP>

<!--- finish the last partial page --->
<CFIF (row IS NOT 0) OR (col IS NOT 0)>
    <CFSET oPDF.end_page()>
</CFIF>

<CFSET oPDF.close()>
<CFSET oPDF.close_pdi(manual)>

<CFCONTENT TYPE="application/pdf" FILE="#tmp_file#" DELETEFILE="yes">

</body>
</html>
