{
  $Id: hello.pas,v 1.4.2.1 2001/05/16 12:25:50 york Exp $

  PDFlib client: hello example for ActiveX with Delphi
}

unit hello;

interface

uses Windows, Classes, Forms, Dialogs, ExtCtrls, Controls, StdCtrls,
  PDFlib_com_TLB, OleServer;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    InsertBtn: TButton;
    pdf: TPDF;
    procedure InsertBtnClick(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.InsertBtnClick(Sender: TObject);
var
   f: Integer;
begin
   if pdf.open_file('hello.pdf') = -1 then begin
      ShowMessage('Couldnt open hello.pdf!');
      Exit;
   end;
   pdf.set_info('Creator', 'hello.pas');
   pdf.set_info('Author', 'Rainer Schaaf');
   pdf.set_info('Title', 'Hello World (Delphi)');

   pdf.begin_page(595,842);

   f := pdf.findfont('Helvetica-Bold', 'host', 0);

   pdf.setfont(f, 18.0);
   pdf.set_text_pos(50, 700);
   pdf.show('Hello World');
   pdf.continue_text('(says Delphi)');
   pdf.end_page;
   pdf.close;
end;

end.
