Attribute VB_Name = "image"
'
' $Id: image.bas,v 1.5 2001/03/02 11:40:40 rjs Exp $
'
' PDFlib client: image example in Visual Basic via ActiveX
'
' Important: the PDFlib ActiveX component must be referenced
' via "Project", "References..."!
'

Option Explicit

Sub main()
    Dim ret As Long, font As Long
    Dim oPDF As PDFlib_com.PDF
    Dim imageFile As String
    Dim lWidth, lHeight As Long
    Dim lImage As Long
        
    Set oPDF = New PDFlib_com.PDF
    
    ' Open new PDF file
    ret = oPDF.open_file("image.pdf")
    If (ret = -1) Then
        MsgBox "Couldn't open PDF file!"
        End
    End If
    
    oPDF.set_info "Creator", "image.bas"
    oPDF.set_info "Author", "Thomas Merz"
    oPDF.set_info "Title", "image sample (ActiveX/VB)"

    imageFile = "../images/nesrin.jpg"
    
    lImage = oPDF.open_image_file("jpeg", imageFile, "", 0)
    If (lImage = -1) Then
        MsgBox "Couldn't open image file '" + imageFile + "'!"
        End
    End If
    
    ' We generate a page with the image's dimensions
    lWidth = oPDF.get_value("imagewidth", lImage)
    lHeight = oPDF.get_value("imageheight", lImage)
    
    ' start a new page
    oPDF.begin_page lWidth, lHeight

    ' if you must scale use oPDF.[scale] instead of oPDF.scale
    ' (see manual for details)
    
    ' Place the image in the lower left corner
    oPDF.place_image lImage, 0, 0, 1
    oPDF.close_image lImage
            
    oPDF.end_page             ' finish page
    oPDF.Close                ' close PDF document
        
    Set oPDF = Nothing
        
End Sub
