Attribute VB_Name = "quickreference"
'
' $Id: quickreference.bas,v 1.8 2001/04/05 18:55:46 tm Exp $
'
' PDFlib client: mini imposition demo in Visual Basic via ActiveX
'
' Important: the PDFlib ActiveX component must be referenced
' via "Project", "References..."!
'

Option Explicit

Sub main()
    Dim oPDF As PDFlib_com.PDF
    Dim manual, page
    Dim inFile
    Dim width, height
    Dim font, row, col, maxrow, maxcol
    Dim i, startpage, endpage, pageno
    
    Set oPDF = New PDFlib_com.PDF
    
    maxrow = 2
    maxcol = 2
    
    width = 500
    height = 770
    
    startpage = 108
    endpage = 111
    
    ' Open new PDF file
    If (oPDF.open_file("quickreference.pdf") = -1) Then
        MsgBox "Couldn't open output file!"
        End
    End If
    
    oPDF.set_info "Creator", "quickreference.vbs"
    oPDF.set_info "Author", "Thomas Merz"
    oPDF.set_info "Title", "PDFlib personalization demo (Active X/VBS)"
    
    inFile = "../../doc/PDFlib-manual-activex.pdf"
    
    manual = oPDF.open_pdi(inFile, "", 0)
    If (manual = -1) Then
        MsgBox "Couldn't open input file!"
        End
    End If
    
    row = 0
    col = 0
    
    For pageno = startpage To endpage Step 1
        If (row = 0 And col = 0) Then
        oPDF.begin_page width, height
        font = oPDF.findfont("Helvetica-Bold", "winansi", 0)
        oPDF.setfont font, 18
        oPDF.set_text_pos 25, height - 24
        oPDF.Show "PDFlib 4.0 Quick Reference"
        End If
    
        page = oPDF.open_pdi_page(manual, pageno, "")
        If (page = -1) Then
            MsgBox "Couldn't open page 1 in input file!"
            End
        End If
    
        oPDF.place_pdi_page manual, (width / maxcol) * col, height - (row + 1) * height / maxrow, 1 / maxrow, 1 / maxrow
        oPDF.close_pdi_page page
    
        col = col + 1
        If (col = maxcol) Then
            col = 0
            row = row + 1
        End If
        
        If (row = maxrow) Then
            row = 0
            oPDF.end_page
        End If
    Next
    
    ' finish the last partial page
    If (row <> 0 Or col <> 0) Then
        oPDF.end_page
    End If
    
    oPDF.Close
    oPDF.close_pdi manual
            
    End Sub
