' $Id: image.vbs,v 1.5 2001/03/02 11:40:41 rjs Exp $
'
' PDFlib client: image example for ActiveX with Windows Script Host and VBS
' Requires the PDFlib ActiveX component
'
Option Explicit

Dim font
Dim oPDF
Dim imageFile
Dim lWidth, lHeight
Dim lImage

Set oPDF = WScript.CreateObject("PDFlib_com.PDF")

' Open new PDF file 
if (oPDF.open_file("image.pdf") = -1) then
	WScript.Echo "Couldn't open PDF file!"
	WScript.Quit(1)
end if

oPDF.set_info "Creator", "image.vbs"
oPDF.set_info "Author", "Thomas Merz"
oPDF.set_info "Title", "image sample (Active X/VBS)"

imageFile = "../images/nesrin.jpg"

lImage = oPDF.open_image_file("jpeg", imageFile, "", 0)
if (lImage = -1) then
	WScript.Echo "Couldn't open image file '" + imageFile + "'!"
	WScript.Quit(1)
end if

' We generate a page with the image's dimensions
lWidth = oPDF.get_value("imagewidth", lImage)
lHeight = oPDF.get_value("imageheight", lImage)

' start a new page
oPDF.begin_page lWidth, lHeight

' Place the image in the lower left corner
oPDF.place_image lImage, 0, 0, 1
oPDF.close_image lImage

oPDF.end_page
oPDF.close

Set oPDF = Nothing
