<%@ LANGUAGE = "JavaScript" %>
<%
// $Id: pdfclock.js.asp,v 1.4.2.1 2001/05/16 12:25:50 york Exp $
//
// PDFlib client: pdfclock example for Active X with Active Server Pages and JScript
// Requires the PDFlib ActiveX component
//
	var alpha, tm_hour, tm_min, tm_sec;
	var oPDF;
	var font, date, tm_hour, tm_min, tm_sec;

	var RADIUS = 200;
	var MARGIN = 20;

	oPDF = Server.CreateObject("PDFlib_com.PDF");

	if (oPDF == null) {
		Response.write("Couldn't create PDFlib object!");
		Response.end();
	}

	// Open new PDF file
	oPDF.open_file("");

	oPDF.set_info("Creator", "pdfclock.js.asp");
	oPDF.set_info("Author", "Thomas Merz");
	oPDF.set_info("Title", "PDF clock (ActiveX/ASP/JScript)");

	oPDF.begin_page(2 * (RADIUS + MARGIN), 2 * (RADIUS + MARGIN));

	oPDF.translate(RADIUS + MARGIN, RADIUS + MARGIN);
	oPDF.setcolor("both", "rgb", 0, 0, 1, 0);
	oPDF.save();

	// minute strokes
	oPDF.setlinewidth(2);
	for(alpha = 0; alpha <= 359; alpha += 6) {
	   oPDF.rotate(6);
	   oPDF.moveto(RADIUS, 0);
	   oPDF.lineto(RADIUS-MARGIN/3, 0);
	   oPDF.stroke();
	}

	oPDF.restore();
	oPDF.save();

	// 5 minute strokes
	oPDF.setlinewidth(3);
	for(alpha = 0; alpha <= 359; alpha += 30) {
		oPDF.rotate(30);
		oPDF.moveto(RADIUS, 0);
		oPDF.lineto(RADIUS-MARGIN, 0);
		oPDF.stroke();
	}

	d = new Date();
	tm_hour = d.getHours();
	tm_min = d.getMinutes();
	tm_sec = d.getSeconds();

	// draw hour hand
	oPDF.save();
	oPDF.rotate(-((tm_min / 60) + tm_hour - 3) * 30);
	oPDF.moveto(-RADIUS/10, -RADIUS/20);
	oPDF.lineto(RADIUS/2, 0);
	oPDF.lineto(-RADIUS/10, RADIUS/20);
	oPDF.closepath();
	oPDF.fill();
	oPDF.restore();

	// draw minute hand
	oPDF.save();
	oPDF.rotate(-((tm_sec / 60) + tm_min - 15) * 6);
	oPDF.moveto(-RADIUS/10, -RADIUS/20);
	oPDF.lineto(RADIUS * 0.8, 0);
	oPDF.lineto(-RADIUS/10, RADIUS/20);
	oPDF.closepath();
	oPDF.fill();
	oPDF.restore();

	// draw second hand
	oPDF.setcolor("both", "rgb", 1, 0, 0, 0);
	oPDF.setlinewidth(2);
	oPDF.save();
	oPDF.rotate(-(tm_sec - 15) * 6);
	oPDF.moveto(-RADIUS/5, 0);
	oPDF.lineto(RADIUS, 0);
	oPDF.stroke();
	oPDF.restore();

	// draw little circle at center
	oPDF.circle(0, 0, RADIUS/30);
	oPDF.fill();

	oPDF.restore();

	oPDF.end_page();
	oPDF.close();

	Response.Expires = 0;
	Response.Buffer = true;
	Response.ContentType = "application/pdf";
	// The following header is suggested in order to prevent problems with IE
	Response.Addheader("Content-Disposition", "inline; filename=" + "pdfclock.js.asp.pdf");

	Response.BinaryWrite(oPDF.get_buffer());
	Response.End();
%>
