<%@ LANGUAGE = VBScript %>
<%
' $Id: personalize.vbs.asp,v 1.6 2001/04/18 10:16:13 tm Exp $
'
' PDFlib client: personalization demo for ActiveX with Active Server Pages and VBScript
' Requires the PDFlib ActiveX component
'
	Option Explicit

	Dim form, page, font
	Dim oPDF
	Dim InFileMapped
	Dim lWidth, lHeight
	Dim col1, col2
	Dim buf

	col1= 70
	col2= 335

	Set oPDF = Server.CreateObject("PDFlib_com.PDF")

	' Open new PDF file
	oPDF.open_file ""

	oPDF.set_info "Creator", "personalize.vbs.asp"
	oPDF.set_info "Author", "Thomas Merz"
	oPDF.set_info "Title", "PDFlib personalization demo (Active X/VBS)"

	InFileMapped = Server.MapPath("PDFlib-purchase-order.pdf")

	form = oPDF.open_pdi(InFileMapped, "", 0)
	if (form = -1) then
		Response.write "Couldn't open input file!"
		Response.end
	end if

	page = oPDF.open_pdi_page(form, 1, "")
	if (page = -1) then
		    Response.write "Couldn't open page 1 in input file!"
		    Response.end
	end if

	font = oPDF.findfont("Helvetica-Bold", "winansi", 0)

	' get the dimensions of the imported form
	lWidth = oPDF.get_pdi_value("width", form, page, 0)
	lHeight = oPDF.get_pdi_value("height", form, page, 0)

	' start a new page
	oPDF.begin_page lWidth, lHeight

	oPDF.place_pdi_page page, 0, 0, 1, 1
	oPDF.close_pdi_page page

	oPDF.setfont font, 18
	oPDF.set_value "leading", 24
	oPDF.set_text_pos col1, 486

	oPDF.show "Doublecheck, Inc."
	oPDF.continue_text "Petra Porst"
	oPDF.continue_text "500, Market St."
	oPDF.continue_text "94110 San Francisco, CA"
	oPDF.continue_text ""
	oPDF.continue_text "USA"
	oPDF.continue_text "+1/950/123-4567"
	oPDF.continue_text "+1/950/123-4568"
	oPDF.continue_text ""
	oPDF.continue_text "petra@doublecheck.com"

	oPDF.set_text_pos col2, 152
	oPDF.continue_text DATE

	oPDF.end_page
	oPDF.close
	oPDF.close_pdi form

	buf = oPDF.get_buffer()

	Response.Expires = 0
	Response.Buffer = true
	Response.ContentType = "application/pdf"
	Response.Addheader "Content-Disposition", "inline; filename=" & "personalize.vbs.asp.pdf"
	Response.Addheader "Content-Length", LenB(buf)
	Response.BinaryWrite(buf)
	Response.End()

	Set oPDF = Nothing
%>
