{
  $Id: image.pas,v 1.4.2.1 2001/05/16 12:25:50 york Exp $

  PDFlib client: image example in Delphi
}

unit image;

interface

uses Windows, Classes, Forms, Dialogs, ExtCtrls, Controls, StdCtrls,
  OleServer, PDFlib_com_TLB;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    InsertBtn: TButton;
    pdf: TPDF;
    procedure InsertBtnClick(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.InsertBtnClick(Sender: TObject);
var
   image: Integer;
   width, height: Single;
begin
   if pdf.open_file('image.pdf') = -1 then begin
      ShowMessage('Couldnt open image.pdf!');
      Exit;
   end;

   pdf.set_info('Creator', 'image.pas');
   pdf.set_info('Author', 'Rainer Schaaf');
   pdf.set_info('Title', 'image sample (Delphi)');

   image := pdf.open_image_file('jpeg', '../images/nesrin.jpg', '', 0);
   if image = -1 then begin
	ShowMessage('Couldnt open image file!');
	Exit;
   end;

   width := pdf.get_value('imagewidth', image);
   height := pdf.get_value('imageheight', image);
   pdf.begin_page(width, height);
   pdf.place_image(image, 0, 0, 1);
   pdf.close_image(image);
   pdf.end_page;
   pdf.close;
end;

end.
