Attribute VB_Name = "hello"
'
' $Id: hello.bas,v 1.5 2001/03/02 11:40:40 rjs Exp $
'
' PDFlib client: hello example in Visual Basic via ActiveX
'
' Important: the PDFlib ActiveX component must be referenced
' via "Project", "References..."!
'

Option Explicit

Sub main()
    Dim ret As Long, font As Long
    Dim oPDF As PDFlib_com.PDF
	
    Set oPDF = New PDFlib_com.PDF
    
    ' Open new PDF file
    ret = oPDF.open_file("hello.pdf")
    If (ret = -1) Then
        MsgBox "Couldn't open PDF file!"
        End
    End If
    
    oPDF.set_info "Creator", "hello.bas"
    oPDF.set_info "Author", "Thomas Merz"
    oPDF.set_info "Title", "Hello, world (ActiveX/VB)!"

    ' start a new page
    oPDF.begin_page 595, 842

    font = oPDF.findfont("Helvetica-Bold", "winansi", 0)
        
    oPDF.setfont font, 24

    oPDF.set_text_pos 50, 700
    oPDF.show "Hello, world!"
    oPDF.continue_text "(says ActiveX/VB)"
            
    oPDF.end_page             ' finish page   
    oPDF.close                ' close PDF document
	
    Set oPDF = Nothing
	
End Sub
