' $Id: quickreference.vbs,v 1.7 2001/04/05 18:55:46 tm Exp $
'
' PDFlib/PDI client: mini imposition demo for ActiveX with Windows Script Host and VBS
' Requires the PDFlib ActiveX component with PDI
'
Option Explicit

Dim manual, page
Dim oPDF
Dim inFile
Dim width, height
Dim font, row, col, maxrow, maxcol
Dim i, startpage, endpage, pageno

maxrow= 2
maxcol= 2

width = 500
height = 770

startpage = 108
endpage = 111

Set oPDF = WScript.CreateObject("PDFlib_com.PDF")

' Open new PDF file 
if (oPDF.open_file("quickreference.pdf") = -1) then
	WScript.Echo "Couldn't open output file!"
	WScript.Quit(1)
end if

oPDF.set_info "Creator", "quickreference.vbs"
oPDF.set_info "Author", "Thomas Merz"
oPDF.set_info "Title", "PDFlib personalization demo (Active X/VBS)"

inFile = "../../doc/PDFlib-manual-activex.pdf"

manual = oPDF.open_pdi(inFile, "", 0)
if (manual = -1) then
    WScript.Echo "Couldn't open input file!"
    WScript.Quit(1)
end if

row = 0
col = 0

For pageno = startpage To endpage Step 1
    if (row = 0 and col = 0) then
	oPDF.begin_page width, height
	font = oPDF.findfont("Helvetica-Bold", "winansi", 0)
	oPDF.setfont font, 18
	oPDF.set_text_pos 25, height-24
	oPDF.show "PDFlib 4.0 Quick Reference"
    end if

    page = oPDF.open_pdi_page(manual, pageno, "")
    if (page = -1) then
	WScript.Echo "Couldn't open page 1 in input file!"
	WScript.Quit(1)
    end if

    oPDF.place_pdi_page manual, (width/maxcol)*col, height - (row + 1) * height/maxrow, 1/maxrow, 1/maxrow
    oPDF.close_pdi_page page

    col = col + 1
    if (col = maxcol) then
        col = 0
        row = row + 1
    end if
    
    if (row = maxrow) then
        row = 0
        oPDF.end_page
    end if
next

' finish the last partial page
if (row <> 0 or col <> 0) then
    oPDF.end_page
end if

oPDF.close
oPDF.close_pdi manual

Set oPDF = Nothing
